JTreeTransform
Keywords: uk.ac.ic.doc.automed.xmlschema.JTreeTransform class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema
Class JTreeTransform

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.JTreeTransform

    public class JTreeTransform

extends java.lang.Object

Author:
  Andrew Smith - acs203 /* Transformations within the JTree for the XML Schema Editor

Constructor Summary
`JTreeTransform(Schema s)` Creates a new instance of JTreeTransform

Method Summary
`Schema` | `addKey(XSDOMObject pk, XSDOMObject pkParent)`
`Schema` | `addKeyRef(XSDOMObject fk, XSDOMObject pk, XSDOMObject pkParent, XSDOMObject fkParent)` Methods to add extra AutoMed schemes from the JTree Add an xmlSchema:keyRef construct to AutoMed from the JTree.
`Schema` | `addNestTransform(java.lang.String parentName, java.lang.String oldParentName, XSDOMObject extentObject, XSDOMObject childNode)` Automed transforations to nest an element inside another one, replacing an fk element in the process
`SchemaObject` | `getKey(XSDOMObject pk, XSDOMObject pkParent)`
`Schema` | `removeNestTransform(java.lang.String parentName, java.lang.String childElementName, java.lang.String newChildName, java.lang.String newParent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTreeTransform

    public JTreeTransform(Schema s)

  Creates a new instance of JTreeTransform

Method Detail

### addKeyRef

    public Schema addKeyRef(XSDOMObject fk,
                            XSDOMObject pk,
                            XSDOMObject pkParent,
                            XSDOMObject fkParent)
                     throws IntegrityException,
                            TypeMismatchException,
                            NotFoundException

  Methods to add extra AutoMed schemes from the JTree Add an xmlSchema:keyRef construct to AutoMed from the JTree. Also add a pk constraint if there isn't one already

  Throws:
    `IntegrityException`
    `TypeMismatchException`
    `NotFoundException`

### getKey

    public SchemaObject getKey(XSDOMObject pk,
                               XSDOMObject pkParent)
                        throws IntegrityException,
                               TypeMismatchException,
                               NotFoundException

  Throws:
    `IntegrityException`
    `TypeMismatchException`
    `NotFoundException`

### addKey

    public Schema addKey(XSDOMObject pk,
                         XSDOMObject pkParent)
                  throws IntegrityException,
                         TypeMismatchException,
                         NotFoundException

  Throws:
    `IntegrityException`
    `TypeMismatchException`
    `NotFoundException`

### addNestTransform

    public Schema addNestTransform(java.lang.String parentName,
                                   java.lang.String oldParentName,
                                   XSDOMObject extentObject,
                                   XSDOMObject childNode)
                            throws IntegrityException,
                                   TypeMismatchException,
                                   NotFoundException

  Automed transforations to nest an element inside another one, replacing an fk element in the process

  Throws:
    `IntegrityException`
    `TypeMismatchException`
    `NotFoundException`

### removeNestTransform

    public Schema removeNestTransform(java.lang.String parentName,
                                      java.lang.String childElementName,
                                      java.lang.String newChildName,
                                      java.lang.String newParent)
                               throws IntegrityException,
                                      TypeMismatchException,
                                      NotFoundException

  Throws:
    `IntegrityException`
    `TypeMismatchException`
    `NotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD